aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--contrib/jenkins-build-common.sh15
-rwxr-xr-xcontrib/jenkins-build-srslte-bbu.sh20
2 files changed, 33 insertions, 2 deletions
diff --git a/contrib/jenkins-build-common.sh b/contrib/jenkins-build-common.sh
index 9d59ca7..1579c34 100644
--- a/contrib/jenkins-build-common.sh
+++ b/contrib/jenkins-build-common.sh
@@ -204,11 +204,22 @@ add_rpath() {
#
# Add an rpath relative to the binary and library if the directory
# exists.
+
+ rpath_args='--set-rpath'
+ rpath_dir='$ORIGIN/../lib/'
+ if [ -n "$patchelf_rapth_extra_args" ]; then
+ rpath_args="$patchelf_rapth_extra_args $rpath_args"
+ fi
+
+ if [ -n "$patchelf_rpath_dir" ]; then
+ rpath_dir="$rpath_dir:$patchelf_rpath_dir"
+ fi
+
if [ -d bin/ ]; then
- find bin -depth -type f -exec patchelf --set-rpath '$ORIGIN/../lib/' {} \;
+ find bin -depth -type f -exec patchelf $rpath_args "$rpath_dir" {} \;
fi
if [ -d sbin/ ]; then
- find sbin -depth -type f -exec patchelf --set-rpath '$ORIGIN/../lib/' {} \;
+ find sbin -depth -type f -exec patchelf $rpath_args "$rpath_dir" {} \;
fi
if [ -d lib/ ]; then
find lib -depth -type f -name "lib*.so.*" -exec patchelf --set-rpath '$ORIGIN/' {} \;
diff --git a/contrib/jenkins-build-srslte-bbu.sh b/contrib/jenkins-build-srslte-bbu.sh
new file mode 100755
index 0000000..48ae622
--- /dev/null
+++ b/contrib/jenkins-build-srslte-bbu.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -e -x
+
+if [ -z "$trial_binaries" ]; then
+ trial_binaries="srsue srsenb srsepc"
+fi
+
+export patchelf_rpath_dir="/mnt/nfs/bdlibs"
+export patchelf_rapth_extra_args="--force-rpath"
+
+base="$PWD"
+name="srslte"
+git_url="${git_url:-https://github.com/srsLTE}"
+project_name="${project_name:-srsLTE}"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+#TODO: make sure libconfig, zeroMQ is installed
+build_repo $project_name $configure_opts
+
+create_bin_tgz "$trial_binaries"